# std::filesystem::recursive_directory_iterator::pop

From cppreference.com
< cpp‎ | filesystem‎ | recursive directory iterator

void pop(); |  | (since C++17)

Moves the iterator one level up in the directory hierarchy.

If the parent directory is outside directory hierarchy that is iterated on (i.e. depth() == 0), sets *this to an end directory iterator.

### Parameters

(none)

### Return value

(none)

### Exceptions

| This section is incomplete

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/recursive_directory_iterator/pop&oldid=85030"
Category:

- Todo without reason